influence.gam {mgcv} | R Documentation

## Extract the diagonal of the Influence/Hat matrix for a GAM.

### Description

Extracts the leading diagonal of the influence matrix (hat matrix) of a fitted `gam` object.

### Usage

    influence.gam(model,...)

### Arguments

`model` | fitted model objects of class `gam` as produced by `gam()`.
`...` | un-used in this case

### Details

Simply extracts `hat` array from fitted model. (More may follow!)

### Value

An array (see above).

### Author(s)

Simon N. Wood simon@stats.gla.ac.uk

### See Also

`gam`

[Package mgcv version 1.1-8 Index]